/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// GroupWithSchemeAdmin : group augmented with scheme admin information

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct GroupWithSchemeAdmin {
    #[serde(rename = "group", skip_serializing_if = "Option::is_none")]
    pub group: Option<Box<crate::openapi::models::Group>>,
    #[serde(rename = "scheme_admin", skip_serializing_if = "Option::is_none")]
    pub scheme_admin: Option<bool>,
}

impl GroupWithSchemeAdmin {
    /// group augmented with scheme admin information
    pub fn new() -> GroupWithSchemeAdmin {
        GroupWithSchemeAdmin {
            group: None,
            scheme_admin: None,
        }
    }
}
